/* -*- MaTX -*-
 *
 * tmd00006.h: TMD No. tmd00006 ¸ѼϤΥǥΥإåե
 *
 *  Originally written by KIYOTA Hiromitsu <1999/01/19>
 *  Copyright (c) 1999 Hiromitsu Kiyota, kiyota@ds.mei.titech.ac.jp
 *
 * RCS: $Id: tmd00006.h,v 1.4 1999/05/31 03:30:25 kiyota Exp $
 */

#ifndef _TMD00006_H
#define _TMD00006_H

#ifdef TMD_USER_H
#include TMD_USER_H
#endif /* TMD_USER_H */

#ifdef TMD00006_USER_H
#include TMD00006_USER_H
#endif /* TMD00006_USER_H */

#ifndef TMD00006_MM
#define TMD00006_MM "tmd00006.mm"
#endif /* !TMD00006_MM */

#ifdef TMD_ENABLE_PACKAGE
#ifdef TMD_ANSI
#define tmd00006(var) _tmd00006_ ## var
#else /* ! TMD_ANSI */
#define tmd00006(var) _tmd00006_/**/var
#endif /* TMD_ANSI */
#else /* ! TMD_ENABLE_PACKAGE */
#define tmd00006(var) var
#endif /* TMD_ENABLE_PACKAGE */

#ifndef TMD_EXTERN
#define TMD_EXTERN
#endif /* ! TMD_EXTERN */

// ǥξ(x)(u)(y)μο
#define TMD00006_DIM_STATE 3
#define TMD00006_DIM_INPUT 1
#define TMD00006_DIM_OUTPUT 1
#define TMD00006_DIM_ALL_IOS (TMD00006_DIM_INPUT+TMD00006_DIM_OUTPUT)

// ǥξ֡ξ֡ϤڤФԤʤޥ(ؿ)
#define chop_state_tmd00006(xx) [xx(1:TMD00006_DIM_STATE)]
#define chop_other_state_tmd00006(xx) [xx(TMD00006_DIM_STATE+1:)]
#define chop_input_tmd00006(uu) [uu(1:TMD00006_DIM_INPUT)]

// ǥʪѥ᡼
TMD_EXTERN Real tmd00006(L), tmd00006(R), tmd00006(K), tmd00006(h);
TMD_EXTERN Real tmd00006(m), tmd00006(g);
TMD_EXTERN Real tmd00006(x0), tmd00006(I0), tmd00006(V0);

// ֶɽηޥȥꥯ
TMD_EXTERN Matrix tmd00006(A), tmd00006(B);
TMD_EXTERN Matrix tmd00006(C), tmd00006(D);

// ѥåե饰: 1 ǥ; 0 ǥȤ
#ifdef TMD_DISABLE_HALIST
#define TMD00006_DISABLE_HALIST
#endif /* TMD_DISABLE_HALIST */
#ifdef TMD00006_DISABLE_HALIST
TMD_EXTERN Integer tmd00006_flag;
#endif /* TMD00006_DISABLE_HALIST */

// ؿ
#if !defined(TMD_USER_MM) && !defined(TMD00006_USER_MM) || !defined(TMD_DIVIDED_COMPILE) && !defined(TMD00006_DIVIDED_COMPILE)
#include TMD00006_MM
#else /* !(!TMD_USER_MM && !TMD00006_USER_MM || !TMD_DIVIDED_COMPILE && !TMD00006_DIVIDED_COMPILE) */
void init_tmd00006(/* linear_flag, params_flag, */ ...); // require TMD00006_MM;
Matrix diff_tmd00006(/* t, x, u */); // require TMD00006_MM;
Matrix output_tmd00006(/* t, x, u */); // require TMD00006_MM;
#endif /* !TMD_USER_MM && !TMD00006_USER_MM || !TMD_DIVIDED_COMPILE && !TMD00006_DIVIDED_COMPILE */

#undef TMD_EXTERN
#endif /* ! _TMD00006_H */
